Bug 6603 - Some keys not work with emacs-multitty
Summary: Some keys not work with emacs-multitty
Status: RESOLVED FIXED
Alias: None
Product: UIM
Classification: Unclassified
Component: Other (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: uim-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 6089
  Show dependency treegraph
 
Reported: 2006-04-15 22:52 UTC by Shun-ichi TAHARA
Modified: 2006-05-09 13:10 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Proposed patch (913 bytes, patch)
2006-04-15 22:54 UTC, Shun-ichi TAHARA
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Shun-ichi TAHARA 2006-04-15 22:52:53 UTC
Some keys, for example enter, do not work on uim-mode with "multi-tty" branch of
emacs current (available on http://lorentey.hu/project/emacs.html).

In this patch, some keys in 'function-key-map' are moved into
'local-function-key-map', so, I suppose, uim.el must have a look on also the map.
Comment 1 Shun-ichi TAHARA 2006-04-15 22:54:34 UTC
Created attachment 5319 [details] [review]
Proposed patch

This patch maybe work well.
Comment 2 Konosuke Watanabe 2006-05-10 06:10:43 UTC
Merged at r3377.
Also it remains in r3386.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.